//--------------------------------------------------------|
//|                  | FIB_Targets.mq4 |                  |
//|                                                       |
//|                          NE                          |
//--------------------------------------------------------|






#property indicator_chart_window


   extern bool PD_Mid    = True;
   extern bool PW_Mid   = True;
   extern bool PD_Fib_Targets      = True;
   extern bool PW_Fib_Targets      = True;
   extern bool Targets_Text        = True;
   extern bool Ray                 = True;
   
   extern string __________; 
   
   extern int Lines_Width=1;
   extern int Lines_Style=1;
   extern int WLines_Width=1;
   extern int WLines_Style=1;
   extern int YWDLines_Width=2;
   extern int YWDLines_Style=4;
   
   extern string Mid_Line_Colors;   
   extern color  YDLines_Color=MediumSlateBlue;
   extern color  YWLines_Color=Magenta;
   extern string Targets_Color;
   extern color  DT=Orange;
   extern color  WT=Magenta;  
   extern string TextColors;   
   extern color  DTC=MediumSlateBlue; 
   extern color  WTC=Tomato; 
   
      
   
   double YesterdayHigh;
   double YesterdayLow;
   double Day_Price[][6];
   double PDM,HL,HLL,DT__1.236,DT__1.382,DT__1.618,DT_1.236,DT_1.382,DT_1.618;
   double PWM,WHL,WHLL,WT__1.236,WT__1.382,WT__1.618,WT_1.236,WT_1.382,WT_1.618;
   double WeekHigh;
   double WeekLow;
   double Weekly_Price[][6];
   double WeekPivot,WS1,WS2,WS3,WR1,WR2,WR3;
   
   double MonthHigh;
   double MonthLow;
   double Month_Price[][6];
   double MonthPivot,MS1,MS2,MS3,MR1,MR2,MR3;
   
   
   
   
   int init()
  {
   return(0);
  }
  
//-------------------------------------------------------- 
  
int deinit()
  {
ObjectDelete("PreviousDayMid");
ObjectDelete("PreviousDayMid_Label");
ObjectDelete("DT__1.236");
ObjectDelete("DT__1.382");
ObjectDelete("DT__1.618");
ObjectDelete("DT_1.236");
ObjectDelete("DT_1.382");
ObjectDelete("DT_1.618");

ObjectDelete("PreviousWeekMid");
ObjectDelete("PreviousWeekMid_Label");

ObjectDelete("WT__1.236");
ObjectDelete("WT__1.382");
ObjectDelete("WT__1.618");
ObjectDelete("WT_1.236");
ObjectDelete("WT_1.382");
ObjectDelete("WT_1.618");

ObjectDelete("FT1L");
ObjectDelete("FT2L");
ObjectDelete("FT3L");
ObjectDelete("FT4L");
ObjectDelete("FT5L");
ObjectDelete("FT6L");
ObjectDelete("WFT1L");
ObjectDelete("WFT2L");
ObjectDelete("WFT3L");
ObjectDelete("WFT4L");
ObjectDelete("WFT5L");
ObjectDelete("WFT6L");


return(0);
}
//--------------------------------------------------------- 

int start()
{
//--------------------Daily------------------------------------  
ArrayCopyRates(Day_Price,(Symbol()), 1440);

   YesterdayHigh  = Day_Price[1][3];
   YesterdayLow   = Day_Price[1][2];

   PDM   = ((YesterdayHigh + YesterdayLow)/2);
   
 //----------------- Targets ---------------------------------------  
   HL = (YesterdayHigh - YesterdayLow);
   HLL= (YesterdayLow - YesterdayHigh);
   DT__1.236= ((YesterdayLow) -HL*0.236);
   DT__1.382= ((YesterdayLow) -HL*0.382);
   DT__1.618= ((YesterdayLow) -HL*0.618);
   DT_1.236= ((YesterdayLow) -HLL*1.236);
   DT_1.382= ((YesterdayLow) -HLL*1.382);
   DT_1.618= ((YesterdayLow) -HLL*1.618);
 //--------------------------------------------------------  
 
 
 //-------------------- Weekly ------------------------------------
  ArrayCopyRates(Weekly_Price, Symbol(), 10080);

   WeekHigh  = Weekly_Price[1][3];
   WeekLow   = Weekly_Price[1][2];
  
   PWM   = ((WeekHigh + WeekLow)/2);
  
   //----------------- Weekly  Targets ---------------------------------------  
   WHL = (WeekHigh - WeekLow);
   WHLL= (WeekLow - WeekHigh);
   WT__1.236= ((WeekLow) -WHL*0.236);
   WT__1.382= ((WeekLow) -WHL*0.382);
   WT__1.618= ((WeekLow) -WHL*0.618);
   WT_1.236= ((WeekLow) -WHLL*1.236);
   WT_1.382= ((WeekLow) -WHLL*1.382);
   WT_1.618= ((WeekLow) -WHLL*1.618);
 //--------------------------------------------------------------------------- 
  
  
 //------------------ Daily Objects--------------------------------------------------------- 
  if (PD_Mid==true)
 {
   ObjectCreate("PreviousDayMid", OBJ_TREND,0, Time[2], PDM, CurTime()+(Period()*120)*10,PDM);
   ObjectSet("PreviousDayMid", OBJPROP_COLOR, YDLines_Color);
   ObjectSet("PreviousDayMid", OBJPROP_STYLE, YWDLines_Style);
   ObjectSet("PreviousDayMid", OBJPROP_WIDTH, YWDLines_Width);
   ObjectSet("PreviousDayMid", OBJPROP_RAY, Ray);
   ObjectCreate("PreviousDayMid_Label", OBJ_TEXT, 0, CurTime()+(Period()*120)*4, PDM);
   ObjectSetText("PreviousDayMid_Label", "Y-Mid", 8, "Arial", YDLines_Color);
 
   if (PD_Fib_Targets==true)
 {
   ObjectCreate("DT__1.236", OBJ_TREND,0, Time[2], DT__1.236, CurTime()+(Period()*90),DT__1.236);
   ObjectSet("DT__1.236", OBJPROP_COLOR, DT);
   ObjectSet("DT__1.236", OBJPROP_STYLE, Lines_Style);
   ObjectSet("DT__1.236", OBJPROP_WIDTH, Lines_Width);
   ObjectSet("DT__1.236", OBJPROP_RAY, Ray);
 
   ObjectCreate("DT__1.382", OBJ_TREND,0, Time[2], DT__1.382, CurTime()+(Period()*90),DT__1.382);
   ObjectSet("DT__1.382", OBJPROP_COLOR, DT);
   ObjectSet("DT__1.382", OBJPROP_STYLE, Lines_Style);
   ObjectSet("DT__1.382", OBJPROP_WIDTH, Lines_Width);
   ObjectSet("DT__1.382", OBJPROP_RAY, Ray);
   
   ObjectCreate("DT__1.618", OBJ_TREND,0, Time[2], DT__1.618, CurTime()+(Period()*90),DT__1.618);
   ObjectSet("DT__1.618", OBJPROP_COLOR, DT);
   ObjectSet("DT__1.618", OBJPROP_STYLE, Lines_Style);
   ObjectSet("DT__1.618", OBJPROP_WIDTH, Lines_Width);
   ObjectSet("DT__1.618", OBJPROP_RAY, Ray);
   
   ObjectCreate("DT_1.236", OBJ_TREND,0, Time[2], DT_1.236, CurTime()+(Period()*90),DT_1.236);
   ObjectSet("DT_1.236", OBJPROP_COLOR, DT);
   ObjectSet("DT_1.236", OBJPROP_STYLE, Lines_Style);
   ObjectSet("DT_1.236", OBJPROP_WIDTH, Lines_Width);
   ObjectSet("DT_1.236", OBJPROP_RAY, Ray);
 
   ObjectCreate("DT_1.382", OBJ_TREND,0, Time[2], DT_1.382, CurTime()+(Period()*90),DT_1.382);
   ObjectSet("DT_1.382", OBJPROP_COLOR, DT);
   ObjectSet("DT_1.382", OBJPROP_STYLE, Lines_Style);
   ObjectSet("DT_1.382", OBJPROP_WIDTH, Lines_Width);
   ObjectSet("DT_1.382", OBJPROP_RAY, Ray);
   
   ObjectCreate("DT_1.618", OBJ_TREND,0, Time[2], DT_1.618, CurTime()+(Period()*90),DT_1.618);
   ObjectSet("DT_1.618", OBJPROP_COLOR, DT);
   ObjectSet("DT_1.618", OBJPROP_STYLE, Lines_Style);
   ObjectSet("DT_1.618", OBJPROP_WIDTH, Lines_Width);
   ObjectSet("DT_1.618", OBJPROP_RAY, Ray);
   
   
      if (Targets_Text==true)
 {
   
   ObjectCreate("FT1L", OBJ_TEXT, 0, CurTime()+(Period()*120)*4, DT__1.236);
   ObjectSetText("FT1L", "%1.23", 8, "Arial", DTC);
 
   ObjectCreate("FT2L", OBJ_TEXT, 0, CurTime()+(Period()*120)*4, DT__1.382);
   ObjectSetText("FT2L", "%1.38", 8, "Arial", DTC);
 
   ObjectCreate("FT3L", OBJ_TEXT, 0, CurTime()+(Period()*120)*4, DT__1.618);
   ObjectSetText("FT3L", "%1.61", 8, "Arial", DTC);
 
   ObjectCreate("FT4L", OBJ_TEXT, 0, CurTime()+(Period()*120)*4, DT_1.236);
   ObjectSetText("FT4L", "%1.23", 8, "Arial", DTC);
 
   ObjectCreate("FT5L", OBJ_TEXT, 0, CurTime()+(Period()*120)*4, DT_1.382);
   ObjectSetText("FT5L", "%1.38", 8, "Arial", DTC);
 
   ObjectCreate("FT6L", OBJ_TEXT, 0, CurTime()+(Period()*120)*4, DT_1.618);
   ObjectSetText("FT6L", "%1.61", 8, "Arial", DTC);
   
   
   ObjectCreate("WFT1L", OBJ_TEXT, 0, CurTime()+(Period()*120)*4, WT__1.236);
   ObjectSetText("WFT1L", "%1.23", 8, "Arial", WTC);
 
   ObjectCreate("WFT2L", OBJ_TEXT, 0, CurTime()+(Period()*120)*4, WT__1.382);
   ObjectSetText("WFT2L", "%1.38", 8, "Arial", WTC);
 
   ObjectCreate("WFT3L", OBJ_TEXT, 0, CurTime()+(Period()*120)*4, WT__1.618);
   ObjectSetText("WFT3L", "%1.61", 8, "Arial", WTC);
 
   ObjectCreate("WFT4L", OBJ_TEXT, 0, CurTime()+(Period()*120)*4, WT_1.236);
   ObjectSetText("WFT4L", "%1.23", 8, "Arial", WTC);
 
   ObjectCreate("WFT5L", OBJ_TEXT, 0, CurTime()+(Period()*120)*4, WT_1.382);
   ObjectSetText("WFT5L", "%1.38", 8, "Arial", WTC);
 
   ObjectCreate("WFT6L", OBJ_TEXT, 0, CurTime()+(Period()*120)*4, WT_1.618);
   ObjectSetText("WFT6L", "%1.61", 8, "Arial", WTC);

   }
   
    }
ObjectsRedraw();
}
   //------------------ Weekly Objects--------------------------------------------------------- 
  if (PW_Mid==true)
 {
   ObjectCreate("PreviousWeekMid", OBJ_TREND,0, Time[2], PWM, CurTime()+(Period()*120)*10,PWM);
   ObjectSet("PreviousWeekMid", OBJPROP_COLOR, YWLines_Color);
   ObjectSet("PreviousWeekMid", OBJPROP_STYLE, YWDLines_Style);
   ObjectSet("PreviousWeekMid", OBJPROP_WIDTH, YWDLines_Width);
   ObjectSet("PreviousWeekMid", OBJPROP_RAY, Ray);
   ObjectCreate("PreviousWeekMid_Label", OBJ_TEXT, 0, CurTime()+(Period()*120)*4, PWM);
   ObjectSetText("PreviousWeekMid_Label", "W-Mid", 8, "Arial", Tomato);
 
   if (PW_Fib_Targets==true)
 {
   ObjectCreate("WT__1.236", OBJ_TREND,0, Time[2], WT__1.236, CurTime()+(Period()*90),WT__1.236);
   ObjectSet("WT__1.236", OBJPROP_COLOR, WT);
   ObjectSet("WT__1.236", OBJPROP_STYLE, WLines_Style);
   ObjectSet("WT__1.236", OBJPROP_WIDTH, WLines_Width);
   ObjectSet("WT__1.236", OBJPROP_RAY, Ray);
 
   ObjectCreate("WT__1.382", OBJ_TREND,0, Time[2], WT__1.382, CurTime()+(Period()*90),WT__1.382);
   ObjectSet("WT__1.382", OBJPROP_COLOR, WT);
   ObjectSet("WT__1.382", OBJPROP_STYLE, WLines_Style);
   ObjectSet("WT__1.382", OBJPROP_WIDTH, WLines_Width);
   ObjectSet("WT__1.382", OBJPROP_RAY, Ray);
   
   ObjectCreate("WT__1.618", OBJ_TREND,0, Time[2], WT__1.618, CurTime()+(Period()*90),WT__1.618);
   ObjectSet("WT__1.618", OBJPROP_COLOR, WT);
   ObjectSet("WT__1.618", OBJPROP_STYLE, WLines_Style);
   ObjectSet("WT__1.618", OBJPROP_WIDTH, WLines_Width);
   ObjectSet("WT__1.618", OBJPROP_RAY, Ray);
   
   ObjectCreate("WT_1.236", OBJ_TREND,0, Time[2], WT_1.236, CurTime()+(Period()*90),WT_1.236);
   ObjectSet("WT_1.236", OBJPROP_COLOR, WT);
   ObjectSet("WT_1.236", OBJPROP_STYLE, WLines_Style);
   ObjectSet("WT_1.236", OBJPROP_WIDTH, WLines_Width);
   ObjectSet("WT_1.236", OBJPROP_RAY, Ray);
 
   ObjectCreate("WT_1.382", OBJ_TREND,0, Time[2], WT_1.382, CurTime()+(Period()*90),WT_1.382);
   ObjectSet("WT_1.382", OBJPROP_COLOR, WT);
   ObjectSet("WT_1.382", OBJPROP_STYLE, WLines_Style);
   ObjectSet("WT_1.382", OBJPROP_WIDTH, WLines_Width);
   ObjectSet("WT_1.382", OBJPROP_RAY, Ray);
   
   ObjectCreate("WT_1.618", OBJ_TREND,0, Time[2], WT_1.618, CurTime()+(Period()*90),WT_1.618);
   ObjectSet("WT_1.618", OBJPROP_COLOR, WT);
   ObjectSet("WT_1.618", OBJPROP_STYLE, WLines_Style);
   ObjectSet("WT_1.618", OBJPROP_WIDTH, WLines_Width);
   ObjectSet("WT_1.618", OBJPROP_RAY, Ray);
   

 }
ObjectsRedraw();

   return(0);
}
}

